package biz.hammurapi.dataflow;

import biz.hammurapi.properties.PersistentPropertySet;
import biz.hammurapi.properties.PropertySetException;

/**
 * Delegates all calls to the master.
 * @author Pavel
 *
 */
public class PersistentDataFilter 
	extends DataFilter 
	implements PersistentPropertySet {

	public PersistentDataFilter(PersistentData master) {
		super(master);
	}

	public void delete() throws PropertySetException {
		((PersistentData) master).delete();
	}

	public void store() throws PropertySetException {
		((PersistentData) master).store();
	}

}
