package biz.hammurapi.dataflow;

/**
 * Source of data.
 * @author Pavel
 */
public interface DataSource {
	
	String getName();
	
	/**
	 * Adds data sink to the source. Data source multiplexes data it 
	 * produces to all sinks unless one of sinks returns true from addData(),
	 * which terminates multiplexing.
	 * @param sink
	 */
	void setSink(DataSink sink);

}
