package biz.hammurapi.rules.jsr94;

import java.util.Collection;

/**
 * Rule set metadata.
 * @author Pavel Vlasov
 * @revision $Revision$
 */
class RuleExecutionSetMetadataImpl implements RuleExecutionSetMetadata {
	/**
	 * 
	 */
	private static final long serialVersionUID = -8052803172568858147L;
	
	private String uri;
	private String name;
	private String description;

	private Collection rules;

	/**
	 * @param uri
	 * @param name
	 * @param description
	 */
	RuleExecutionSetMetadataImpl(
			String uri, 
			String name, 
			String description, 
			Collection rules) {
		super();
		this.uri = uri;
		this.name = name;
		this.description = description;
		this.rules = rules;
	}

	public String getUri() {
		return uri;
	}

	public String getName() {
		return name;
	}

	public String getDescription() {
		return description;
	}

	public Collection getRules() {
		return rules;
	}

}
