package biz.hammurapi.rules.jsr94;

/**
 * Provides information about rule. Instances of this interface
 * are returned as collection elements from RuleExecutionsetMetadata.getRulesMetadata() 
 * method.
 * @author Pavel
 */
public interface RuleMetadata {

	/**
	 * @return Rule name.
	 */
	String getName();
	
	/**
	 * @return Rule description.
	 */
	String getDescription();
}
